Greece Credit Bureau
3 min
Verifies input data against Credit Header data obtained from the partnered sources from Greece.
For Authorization Get Session Token from Authentication page.
Greece Credit Bureau
Multilingual input -- Both English and Greek script are supported as input for the name and address fields. Numbers should be given in English digits. Example: "Ραιδεστού 111" as the street level address input.
* Verification Outcome – Returns KYC verification
* Consumer Consent – N/A
* Mandatory Input – Name, DOB, City name and Tax Identification number
* Verifies – Name, DOB, Gender, Address, Phone and Tax ID number
* Returned Data - the match score for each name and/or address element (if configured)
POST
https://idu-test.datazoo.com/api/v2/verify
Header Parameters
- AuthorizationstringrequiredDescription
Body Parameters
- dataobjectrequiredDescription
- countryCodestringrequiredDescription
- servicearrayrequiredDescription
- clientReferencestringDescription
- firstNamestringrequiredDescription
- middleNamestringDescription
- lastNamestringrequiredDescription
- dateOfBirthstringrequiredDescription
- addressElement1stringDescription
- addressElement3stringrequiredDescription
- addressElement4stringDescription
- addressElement5stringDescription
- identityVariablesobjectDescription
- taxIDNostringDescription
- phoneNostringDescription
Response
- countryCodestringDescription
- clientReferencestringDescription
- reportingReferencestringDescription
- validationErrorsstringDescription
- matchStatusstringDescription
- searchErrorMessagestringDescription
- safeHarbourbooleanDescription
- searchStatusstringDescription
- serviceResponsesobjectDescription
- statusintegerDescription
- sourceStatusstringDescription
- errorMessagestringDescription
- identityVerifiedbooleanDescription
- safeHarbourScorestringDescription
- nameMatchScorestringDescription
- addressMatchScorestringDescription
- verificationsobjectDescription
- addressElement1boolean
- addressElement3boolean
- addressElement5boolean
- dateOfBirthboolean
- firstNameboolean
- genderboolean
- lastNameboolean
- middleNameboolean
- phoneNoboolean
- taxIDNoboolean
- returnedDataobjectDescription
- altAddressMatchScoreobjectDescription
- addressElement1string
- addressElement3string
- addressElement4string
- addressElement5string
- altNameMatchScoreobjectDescription
- firstNamestring
- lastNamestring
- middleNamestring
- remarksarrayDescription
curl
curl --location 'https://idu-test.datazoo.com/api/v2/verify' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzQzNDYyNDQ4LCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MzAzLCJvaWQiOjYyLCJsaWQiOjU2NjQ2MTUsImV4cCI6MTc0MzQ5MTI0OCwiYXVkIjoiaHR0cHM6Ly9pZHUuZGF0YXpvby5jb20ifQ.D_mGA78PBG_p_wYy-JcKCy28Rk8CX_U0IADn8DeEL8aSw3cnusbiDefJIqE_j74QcKu0IXNNpE-9SoQUSL8fAg' \
--data '{
"countryCode": "GR",
"service": [
"Greece Credit Bureau"
],
"clientReference": "Test_0001",
"firstName": "CLFNAME",
"middleName": "CLMNAME",
"lastName": "CLLNAME",
"dateOfBirth": "1995-08-01",
"addressElement1": "CLADDRESS 1",
"addressElement3": "CLCITY",
"addressElement4": "CLSTATE",
"addressElement5": "99999",
"identityVariables": {
"taxIDNo": "888888888",
"phoneNo": "8888888888"
}
}'200
{
"countryCode": "Greece",
"clientReference": "Test_0001",
"reportingReference": "DZ-5dc65a21-26d9-4dce-926f-54a4df2f34cc",
"matchStatus": "Full Match 1+1 Verification",
"searchErrorMessage": "",
"safeHarbour": false,
"searchStatus": "Successful",
"serviceResponses": {
"Greece Credit Bureau": {
"status": 1,
"sourceStatus": "Successful",
"errorMessage": "",
"identityVerified": true,
"safeHarbourScore": "M1",
"nameMatchScore": "1.000",
"addressMatchScore": "0.900",
"verifications": {
"addressElement1": true,
"addressElement3": true,
"addressElement4": true,
"addressElement5": true,
"dateOfBirth": true,
"firstName": true,
"lastName": true,
"middleName": true,
"phoneNo": true,
"taxIDNo": false
},
"returnedData": {}
}
},
"remarks": []
}404
{
"message": "Ain't no cake like that."
}
Links
Change History
Added
Last updated - 1 April, 2025